Summary: Qcam framegrabber for Ulm video streamserver.
Packager: Bob Williams, http://bob.usuf2.usuhs.mil/williams.html
Copyright: GPL, depends on "distributable" Copyright (C) 1996 by Scott Laird for qcam-0.91
Release: 1
Name: qcam-grabber
Group: Applications/Networking
Version: 0.91
Source0: http://bob.usuf2.usuhs.mil/video/qcam-grabber-0.91.tar.gz
%description
Quickcam black and white video frame grabber
for the nph-SyncImageStream1.3 video streamserver
(http://rr-vs.informatik.uni-ulm.de/soft/wv/)
Qcam-grabber Provides a tcp video stream to
a host (on the same machine, via localhost)
running the Ulm web "streamserver" and "nph-SyncImageStream".
Most of the code is from the qcam developers effort
and depends on Scott Laird's freely distributable
qcam library, modified to present a non-inverse bitmap
over TPC to the streamserver.
Patches were made to nph-SyncImageStream1.3,
for properly imaging the qcam output,
by Jim MacKinnon (jmack@Phys.UAlberta.CA).
Version qcam-grabber-0.91 is a rewrite of
Jim MacKinnon's v0.2 code by Bob Williams 
(bob@bob.usuf2.usuhs.mil) October, 1997.
This version conforms with qcamlib version 0.91,
co-exists better with other apps using the same
qcam, and most qcamlib options now work in qcam-grabber.  
Also included are icon.gif and properties files for
the Ulm CowBrow configuration.

%prep 
%setup
# %patch 

%build
cd qcam-grabber-src
make

%install
cd qcam-grabber-src
make install
# We have to make a good properties at make time
# for non-RPM types, but then the RPM src 
# properties has the ip address of the make machine.
# So... we have to remove it and hope the user runs
# properties.sh.
rm -f properties
rm -f /home/httpd/html/properties

# Make an init file later.
# install -m755 streamserver.init /etc/rc.d/init.d/streamserver.init

%files
%dir /home/httpd/html/video
%dir /home/httpd/html/video/bin
/home/httpd/html/video/bin/streamserver
/home/httpd/html/video/bin/qcam-grabber
/home/httpd/html/video/bin/README
%config /home/httpd/html/video/bin/qcam.conf
%config /home/httpd/html/video/bin/start_grabber
%config /home/httpd/html/video/bin/start_streamserver
%config /home/httpd/html/video/index.html
%config /home/httpd/html/video/video.html
%config /home/httpd/html/video/scene1.html
%config /home/httpd/html/video/scene2.html
%config /home/httpd/html/video/scene3.html
/home/httpd/html/video/liver.wav
/home/httpd/html/video/blank.html
/home/httpd/html/icon.gif
%config /home/httpd/html/video/bin/properties.sh
/home/httpd/cgi-bin/nph-SyncImageStream1.3
%config /home/httpd/cgi-bin/video
%config /home/httpd/cgi-bin/video_click_scene1














